declare interface ResponseData<T> {
  code: number;
  message: string;
  success: boolean;
  timestamp: number;
  result: T
}

declare type ListResponseData<T> = {
  current: number;
  pages: number;
  records: T;
  size: number;
  total: number;
}

// eslint-disable-next-line @typescript-eslint/no-explicit-any
declare type RequestOptions = Record<string, any>

// Promise<AxiosResponse<ResponseData<LoginRespData>>>

type AxiosResponseDataType<T> = Promise<AxiosResponse<ResponseData<T>>>